Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.contribution.visualiser.simpleImpl
Class StealthMarkupKind

    java.lang.Object
      org.eclipse.contribution.visualiser.simpleImpl.SimpleMarkupKind
          org.eclipse.contribution.visualiser.simpleImpl.StealthMarkupKind

All Implemented Interfaces:
  java.lang.Comparable, IMarkupKind

public class StealthMarkupKind
extends SimpleMarkupKind

Simple implementation of IMarkupKind that does not show in the Menu by default.

Constructor Summary
`StealthMarkupKind(java.lang.String name)` Constructor
`StealthMarkupKind(java.lang.String name, org.eclipse.swt.graphics.Image icon)` Constructor

Method Summary
`boolean` | `showInMenu()` Returns false - do not show this kind in the Visualiser Menu

Methods inherited from class org.eclipse.contribution.visualiser.simpleImpl.SimpleMarkupKind
`compareTo, equals, getFullName, getIcon, getName, hashCode, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StealthMarkupKind

    public StealthMarkupKind(java.lang.String name)

  Constructor

Parameters:
  `name` - - name of the kind.

### StealthMarkupKind

    public StealthMarkupKind(java.lang.String name,
                             org.eclipse.swt.graphics.Image icon)

  Constructor

Parameters:
  `name` - - name of the kind
  `icon` - - associated image

Method Detail

### showInMenu

    public boolean showInMenu()

  Returns false - do not show this kind in the Visualiser Menu

  Specified by:
    `showInMenu` in interface `IMarkupKind`
  Overrides:
    `showInMenu` in class `SimpleMarkupKind`
  See Also:
    `IMarkupKind.showInMenu()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD